Package Details: heekscad-git 1449.008d7b6f-7

Git Clone URL: https://aur.archlinux.org/heekscad-git.git (read-only)
Package Base: heekscad-git
Description: HeeksCNC is an open source 3D CAD/CAM software
Upstream URL: http://heeks.net
Licenses: custom:BSD3
Conflicts: heekscad
Provides: heekscad
Submitter: lz3060
Maintainer: greyltc
Last Packager: greyltc
Votes: 2
Popularity: 0.034696
First Submitted: 2016-05-22 08:27
Last Updated: 2017-02-27 18:17

Latest Comments

matael commented on 2017-09-03 20:43

I got a working install by changing wxgtk2.8 to wxgtk2 in the deps and changing the cmake line :

depends=('python2' 'oce' 'wxgtk2' 'libarea-git')
build() {
# ...
cmake -DwxWidgets_CONFIG_EXECUTABLE="/usr/bin/wx-config" -DPYTHON_EXECUTABLE="/usr/bin/python2" -DPYTHON_LIBRARY="/usr/lib/libpython2.7.so" -DPYTHON_INCLUDE_DIR="/usr/include/python2.7" -DCMAKE_INSTALL_PREFIX=/usr ..
}

Segfault was reported on a github issue ( https://github.com/Heeks/heekscad/issues/411 ) and details can be found there.

pkmu68 commented on 2017-02-20 15:46

Yet it works (at least with Antergos). I just had to remove the heekscad dependency in heekscnc (should rename it, probably).
Thanks a lot

Adelie commented on 2017-01-26 03:18

Build fails due to dependency issues with wxgtk2.8

error: target not found: gstreamer0.10-base-plugins
error: target not found: gstreamer0.10-base

solomondg commented on 2016-12-01 19:29

libarea is no longer a valid package. However, libarea-git works.